GuideLab API

Update a patient's details

Update an existing patient's details. Clinics can only update their own patients. Labs can update patients from partnered clinics they have access to (subject to lab access and share-all-patients settings). Anonymized/hidden patients cannot be edited. The patient's clinic and patient code cannot be changed.

PUT
/patients/{id}

Update an existing patient's details. Clinics can only update their own patients. Labs can update patients from partnered clinics they have access to (subject to lab access and share-all-patients settings). Anonymized/hidden patients cannot be edited. The patient's clinic and patient code cannot be changed.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Patient ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/patients/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string"  }'
{  "patient": {    "id": "string",    "clinicId": "string",    "firstName": "string",    "lastName": "string",    "fullName": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty
Empty
Empty
Empty